ru.bitel.bgbilling.kernel.tariff.option.server.event

## Class TariffOptionBeforeActivateEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.tariff.option.server.event.TariffOptionBeforeActivateEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TariffOptionBeforeActivateEvent
      extends LocalEvent

  Скриптовое событие перед активацией тарифной опции.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffOptionBeforeActivateEvent(int contractId, int userId, Contract contract, TariffOption tariffOption, TariffOptionActivateMode activateMode, Charge charge, ContractTariffOption contractOption, boolean activate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TariffOptionActivateMode` | `getActivateMode()`
    `Charge` | `getCharge()`
    `Contract` | `getContract()`
    `ContractTariffOption` | `getContractTariffOption()`
    `java.lang.String` | `getMessage()`
    `TariffOption` | `getTariffOption()`
    `boolean` | `isActivate()`
    `void` | `setActivate(boolean activate)`
    `void` | `setCharge(Charge charge)`
    `void` | `setContractTariffOption(ContractTariffOption contractOption)`
    `void` | `setMessage(java.lang.String message)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TariffOptionBeforeActivateEvent

          public TariffOptionBeforeActivateEvent(int contractId,
                                                 int userId,
                                                 Contract contract,
                                                 TariffOption tariffOption,
                                                 TariffOptionActivateMode activateMode,
                                                 Charge charge,
                                                 ContractTariffOption contractOption,
                                                 boolean activate)

  - ### Method Detail

    - #### getTariffOption

          public TariffOption getTariffOption()

    - #### getActivateMode

          public TariffOptionActivateMode getActivateMode()

    - #### isActivate

          public boolean isActivate()

    - #### setActivate

          public void setActivate(boolean activate)

    - #### getMessage

          public java.lang.String getMessage()

    - #### setMessage

          public void setMessage(java.lang.String message)

    - #### getCharge

          public Charge getCharge()

    - #### setCharge

          public void setCharge(Charge charge)

    - #### getContractTariffOption

          public ContractTariffOption getContractTariffOption()

    - #### setContractTariffOption

          public void setContractTariffOption(ContractTariffOption contractOption)

    - #### getContract

          public Contract getContract()